Performs a data move/update operation based on the provided mapping, optional filters, and transformation expressions.
Use this endpoint to:
- Copy fields from a source entity to a target entity.
- Apply transformations, for example, arithmetic or supported SQL functions.
- Limit which records are affected by using OData-style filters.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Increase ListPrice by 10% for National brand products.
{
"name": "User Update in Price List Maintenance - Brand Adjustments",
"mode": "update",
"sourceEntity": "Product",
"targetEntity": "Product",
"filters": [
{
"filterName": "filter",
"filterExpression": "Brand eq 'National'"
}
],
"fields": [
{
"sourceEntityField": "ProductId",
"targetEntityField": "ProductId"
},
{
"sourceDefinition": "{ListPrice} * 1.1",
"targetEntityField": "ListPrice"
}
]
}Increase ListPrice by 10% and StandardCost by 5% for National brand products.
{
"name": "User Update in Price List Maintenance - Brand Adjustments",
"mode": "update",
"sourceEntity": "Product",
"targetEntity": "Product",
"filters": [
{
"filterName": "filter",
"filterExpression": "Brand eq 'National'"
}
],
"fields": [
{
"sourceEntityField": "ProductId",
"targetEntityField": "ProductId"
},
{
"sourceDefinition": "{ListPrice} * 1.1",
"targetEntityField": "ListPrice"
},
{
"sourceDefinition": "{StandardCost} * 1.05",
"targetEntityField": "StandardCost"
}
]
}Increase StandardCost by 5% for National brand products.
{
"name": "User Update in Price List Maintenance - Brand Adjustments",
"mode": "update",
"sourceEntity": "Product",
"targetEntity": "Product",
"filters": [
{
"filterName": "filter",
"filterExpression": "Brand eq 'National'"
}
],
"fields": [
{
"sourceEntityField": "ProductId",
"targetEntityField": "ProductId"
},
{
"sourceDefinition": "{StandardCost} * 1.05",
"targetEntityField": "StandardCost"
}
]
}Describes how to copy and/or update data from a source entity to a target entity, optionally constrained by filters and with optional transformations.
User-friendly name for this move or update operation.
Mode of copying or updating data.
System name of the source entity where values are read from.
System name of the target entity where values are written.
Array containing a single object that defines a filter.
Must always be filter.
OData filter expression in the format fieldSystemName operator fieldValue.
Supported operators:
- eq—Equal
- ne—Not equal
- lt—Less than
- le—Less than or equal
- gt—Greater than
- ge—Greater than or equal
- and—Logical AND
- or—Logical OR
* wildcard is allowed with eq and ne. Literal null is allowed with eq and ne.
Field-mapping objects that specify which source fields are copied to which target fields, with optional value transformations. Each object must be one of:
- To copy a field as-is, use the
sourceEntityFieldandtargetEntityFieldparameters - To copy a field with transformations, use the
sourceDefinitionandtargetEntityFieldparameters
System name of the source field to copy.
System name of the target field to receive the copied value.
Transformation expression. Use the parameter to reference source fields and apply arithmetic (+, -, *, /, parentheses) and supported SQL constructs: CASE, and functions AVG, CAST, CEILING, COALESCE, CONVERT, COUNT, COUNT(DISTINCT ...), DATEDIFF, DATEADD, FORMAT, GETDATE, ISNULL, MAX, NULLIF, ROUND, SUM.
System name of the target field to receive the transformed value.
Data movement completed successfully. Returns a JSON log of results.
Not suitable parameters received.
Service failed to process request.